[Bug 243937] lang/python38: Fails to package in certain conditions due to DISABLED_EXTENSIONS not working

From: <bugzilla-noreply_at_freebsd.org>
Date: Tue, 08 Jun 2021 14:31:32 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=243937

--- Comment #17 from John Hein <jcfyecrayz_at_liamekaens.com> ---
(In reply to Kubilay Kocak from comment #16)
The changes are not applicable to python36 - the new Modules/Setup was not
backported to python36.  So we can't change how python36 disables extensions
(unless perhaps the Modules/Setup support is backported manually, but I think
it is not necessary to spend energy on that).

It is not needed for python37 because the 'disabled_modules_list' hack works
fine.  But it does have the new *disabled* marker support in Modules/Setup (by
inspection - not tested).  As mentioned in the original comment, we could apply
the same change to python37 and remove patch-issue20210.  Since that should
work and is quite simple, I will put together another patch rev which does so
as an option.  Just for historical trivia - it looks like the *disabled* marker
support was available even in python-3.7.1

-- 
You are receiving this mail because:
You are on the CC list for the bug.
You are the assignee for the bug.
Received on Tue Jun 08 2021 - 14:31:32 UTC

Original text of this message